OPENERP(1)

NAME
OpenERP - manual page for OpenERP Server 6.0.0-rc1

SYNOPSIS
openerp-server.py [options]

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-c CONFIG, --config=CONFIG
    specify alternate config file

-s, --save
    save configuration to ~/.openerp_serverrc

--pidfile=PIDFILE
    file where the server pid will be stored

-i INIT, --init=INIT
    init a module (use "all" for all modules)

--without-demo=WITHOUT_DEMO
    load demo data for a module (use "all" for all modules)

-u UPDATE, --update=UPDATE
    update a module (use "all" for all modules)

--cache-timeout=CACHE_TIMEOUT
    set the timeout for the cache system

-t TIMEZONE, --timezone=TIMEZONE
    specify reference timezone for the server (e.g. Europe/Brussels

--stop-after-init
    stop the server after it initializes

--debug
    enable debug mode

--assert-exit-level=ASSERT_EXIT_LEVEL
    specify the level at which a failed assertion will stop the server. Accepted values: ['info', 'debug_rpc', 'warn', 'test', 'critical', 'debug_sql', 'error', 'debug', 'debug_rpc_answer', 'notset']

    XML-RPC Configuration:

--xmlrpc-interface=XMLRPC_INTERFACE
    specify the TCP IP address for the XML-RPC protocol

--xmlrpc-port=XMLRPC_PORT
    specify the TCP port for the XML-RPC protocol

--no-xmlrpc
    disable the XML-RPC protocol

    XML-RPC Secure Configuration:

--xmlrpcs-interface=XMLRPCS_INTERFACE
    specify the TCP IP address for the XML-RPC Secure protocol

--xmlrpcs-port=XMLRPCS_PORT
    specify the TCP port for the XML-RPC Secure protocol

--no-xmlrpcs
    disable the XML-RPC Secure protocol

--cert-file=SECURE_CERT_FILE
    specify the certificate file for the SSL connection

--pkey-file=SECURE_PKEY_FILE
    specify the private key file for the SSL connection

    NET-RPC Configuration:

--netrpc-interface=NETRPC_INTERFACE
    specify the TCP IP address for the NETRPC protocol

--netrpc-port=NETRPC_PORT
    specify the TCP port for the NETRPC protocol

--no-netrpc
    disable the NETRPC protocol

    Static HTTP service:

--static-http-enable
    enable static HTTP service for serving plain HTML files

--static-http-document-root=STATIC_HTTP_DOCUMENT_ROOT
    specify the directory containing your static HTML files (e.g '/var/www/')

--static-http-url-prefix=STATIC_HTTP_URL_PREFIX
    specify the URL root prefix where you want web browsers to access your static HTML files (e.g '/')

    Testing Configuration:

--test-file=TEST_FILE
    Launch a YML test file.

--test-report-directory=TEST_REPORT_DIRECTORY
    If set, will save sample of all reports in this directory.

--test-disable
    Disable loading test files.

--test-commit
    Commit database changes performed by tests.

    Logging Configuration:

--logfile=LOGFILE
    file where the server log will be stored

--no-logrotate
    do not rotate the logfile

--syslog
    Send the log to the syslog server

--log-level=LOG_LEVEL
    specify the level of the logging. Accepted values: ['info', 'debug_rpc', 'warn', 'test', 'critical', 'debug_sql', 'error', 'debug', 'debug_rpc_answer', 'notset']

    SMTP Configuration:

--email-from=EMAIL_FROM
    specify the SMTP email address for sending email

--smtp=SMTP_SERVER
    specify the SMTP server for sending email

--smtp-port=SMTP_PORT
    specify the SMTP port

--smtp-ssl
    specify the SMTP server support SSL or not

--smtp-user=SMTP_USER
    specify the SMTP username for sending email

--smtp-password=SMTP_PASSWORD
    specify the SMTP password for sending email

    Database related options:

-d DB_NAME, --database=DB_NAME
    specify the database name

-r DB_USER, --db_user=DB_USER
    specify the database user name

-w DB_PASSWORD, --db_password=DB_PASSWORD
    specify the database password

--pg_path=PG_PATH
    specify the pg executable path

--db_host=DB_HOST
    specify the database host

--db_port=DB_PORT
    specify the database port

--db_maxconn=DB_MAXCONN
    specify the the maximum number of physical connections to posgresql

-P IMPORT_PARTIAL, --import-partial=IMPORT_PARTIAL
    Use this for big data importation, if it crashes you will be able to continue at the current state. Provide a filename to store intermediate importation states.

    Internationalisation options:

    Use these options to translate OpenERP to another language.See i18n section of the user manual. Option '-d' is mandatory.Option '-l' is mandatory in case of importation

-l LANGUAGE, --language=LANGUAGE
    specify the language of the translation file. Use it with --i18n-export or --i18n-import

--i18n-export=TRANSLATE_OUT
    export all sentences to be translated to a CSV file, a PO file or a TGZ archive and exit

--i18n-import=TRANSLATE_IN
    import a CSV or a PO file with translations and exit. The '-l' option is required.

--modules=TRANSLATE_MODULES
    specify modules to export. Use in combination with --i18n-export

--addons-path=ADDONS_PATH
    specify an alternative addons path.

    Security-related options:

--no-database-list
    disable the ability to return the list of databases

SEE ALSO
The full documentation for OpenERP is maintained as a Texinfo manual. If the info and OpenERP programs are properly installed at your site, the command

    info OpenERP

should give you access to the complete manual.